org.apache.ignite.internal.processors.hadoop

## Class HadoopLocations

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopLocations

    public class HadoopLocations
    extends Object

Simple structure to hold Hadoop directory locations.

### Constructor Summary

Constructors
Constructor and Description
`HadoopLocations(String home, String common, String hdfs, String mapred)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `common()`
`boolean` `commonExists()`
`String` `hdfs()`
`boolean` `hdfsExists()`
`String` `home()`
`String` `mapred()`
`boolean` `mapredExists()`
`boolean` `valid()` Whether all required directories exists.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopLocations

    public HadoopLocations(String home,
                           String common,
                           String hdfs,
                           String mapred)

Constructor.

Parameters:
  `home` - Hadoop home.
  `common` - Common home.
  `hdfs` - HDFS home.
  `mapred` - Mapred home.

### Method Detail

#### home

    public String home()

Returns:
  Hadoop home.

#### common

    public String common()

Returns:
  Common home.

#### hdfs

    public String hdfs()

Returns:
  HDFS home.

#### mapred

    public String mapred()

Returns:
  Mapred home.

#### commonExists

    public boolean commonExists()

Returns:
  Whether common home exists.

#### hdfsExists

    public boolean hdfsExists()

Returns:
  Whether HDFS home exists.

#### mapredExists

    public boolean mapredExists()

Returns:
  Whether mapred home exists.

#### valid

    public boolean valid()

Whether all required directories exists.

Returns:
  `True` if exists.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018